Bug 1717510 - The value for the default vlan is incorrect for the rhv pre_provisioning script in cfme
Summary: The value for the default vlan is incorrect for the rhv pre_provisioning scri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.6
Assignee: Boriso
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard: rhev
Depends On: 1609809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 16:10 UTC by Satoe Imaishi
Modified: 2019-07-02 04:33 UTC (History)
19 users (show)

Fixed In Version: 5.10.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1609809
Environment:
5.9.3.4
Last Closed: 2019-07-02 04:33:27 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
exported domain (956.56 KB, application/zip)
2019-06-19 09:59 UTC, Niyaz Akhtar Ansari
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 254 'None' 'closed' 'Profile description' 2019-12-09 12:05:10 UTC
Red Hat Product Errata RHBA-2019:1644 None None None 2019-07-02 04:33:36 UTC
Red Hat Product Errata RHSA-2018:2184 None None None 2019-06-05 16:11:15 UTC

Comment 3 Niyaz Akhtar Ansari 2019-06-12 13:45:28 UTC
Hi Boriso,

Could you please provide me verification steps and automate method, service dialog?

Comment 4 Boriso 2019-06-18 07:08:46 UTC
Hi,
I would use the original steps mentioned here: https://bugzilla.redhat.com/show_bug.cgi?id=1574351#c12

Comment 5 Angelina Nikiforova 2019-06-19 08:51:54 UTC
Verified by doing the following:

1) created new domain in automate/explored and copied redhat_PreProvision method to the created domain
2) edited process_customization method to call set_vlan with hardcoded 'ovirtmgmt (ovirtmgmt)':
   prov.set_vlan('ovirtmgmt (ovirtmgmt)')

Provisioned VM and checked that the vlan was set to the harcoded value successfully.

CFME 5.10.6.0.20190610201431_b655f24
RHV Version:4.3.4.3-0.1.el7

Comment 7 Niyaz Akhtar Ansari 2019-06-19 09:59:30 UTC
Created attachment 1582167 [details]
exported domain

Comment 13 errata-xmlrpc 2019-07-02 04:33:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1644


Note You need to log in before you can comment on or make changes to this bug.